unbound: delegpt_ns Struct Reference

unbound 0.1

Data Fields
delegpt_ns Struct Reference

Nameservers for a delegation point. More...

`#include <iter_delegpt.h>`

## Data Fields
struct delegpt_ns * | next
| next in list
uint8_t * | name
| name of nameserver
size_t | namelen
| length of name
int | cache_lookup_count
| number of cache lookups for the name
int | resolved
| If the name has been resolved.
uint8_t | got4
| if the ipv4 address is in the delegpt, 0=not, 1=yes 2=negative, negative means it was done, but no content.
uint8_t | got6
| if the ipv6 address is in the delegpt, 0=not, 1=yes 2=negative
uint8_t | lame
| If the name is parent-side only and thus dispreferred.
uint8_t | done_pside4
| if the parent-side ipv4 address has been looked up (last resort).
uint8_t | done_pside6
| if the parent-side ipv6 address has been looked up (last resort).
char * | tls_auth_name
| the TLS authentication name, (if not NULL) to use.
int | port
| the port to use; it should mostly be the default 53 but configured upstreams can provide nondefault ports.

## Detailed Description

Nameservers for a delegation point.

## Field Documentation

## ◆ resolved

int delegpt_ns::resolved

If the name has been resolved.

false if not queried for yet. true if the A, AAAA queries have been generated. marked true if those queries fail. and marked true if got4 and got6 are both true.

Referenced by delegpt_add_ns(), delegpt_add_ns_mlc(), delegpt_add_target(), delegpt_add_target_mlc(), delegpt_copy(), delegpt_count_missing_targets(), delegpt_count_ns(), delegpt_log(), delegpt_mark_neg(), delegpt_no_ipv4(), delegpt_no_ipv6(), error_supers(), iter_dp_is_useless(), iter_mark_cycle_targets(), processQueryTargets(), processTargetResponse(), and query_for_targets().

## ◆ lame

uint8_t delegpt_ns::lame

If the name is parent-side only and thus dispreferred.

Its addresses become dispreferred as well

Referenced by cache_fill_missing(), delegpt_add_ns(), delegpt_add_ns_mlc(), delegpt_add_target(), delegpt_add_target_mlc(), delegpt_copy(), delegpt_count_missing_targets(), delegpt_log(), processLastResort(), processTargetResponse(), and query_for_targets().

## ◆ done_pside4

uint8_t delegpt_ns::done_pside4

if the parent-side ipv4 address has been looked up (last resort).

Also enabled if a parent-side cache entry exists, or a parent-side negative-cache entry exists.

Referenced by delegpt_add_ns(), delegpt_add_ns_mlc(), delegpt_add_target(), delegpt_add_target_mlc(), delegpt_copy(), delegpt_log(), iter_lookup_parent_glue_from_cache(), iter_mark_pside_cycle_targets(), processLastResort(), and query_for_targets().

## ◆ done_pside6

uint8_t delegpt_ns::done_pside6

if the parent-side ipv6 address has been looked up (last resort).

Also enabled if a parent-side cache entry exists, or a parent-side negative-cache entry exists.

Referenced by delegpt_add_ns(), delegpt_add_ns_mlc(), delegpt_add_target(), delegpt_add_target_mlc(), delegpt_copy(), delegpt_log(), iter_lookup_parent_glue_from_cache(), iter_mark_pside_cycle_targets(), processLastResort(), and query_for_targets().

The documentation for this struct was generated from the following file:

- iterator/iter_delegpt.h